<!DOCTYPE html>
<html lang="{{ app.request.locale }}" prefix="og: http://ogp.me/ns#">
  <head>
    <meta charset="UTF-8" />
    <title>{% block title %}{{ raddit_app_site_name() }}{% endblock %}</title>
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="generator" content="raddit {{ raddit_app_version() }}">

    <link rel="apple-touch-icon-precomposed" href="{{ asset('apple-touch-icon-precomposed.png') }}">

    {% block stylesheets %}
      {% if not app.user or not app.user.nightMode %}
        <link rel="stylesheet" href="{{ preload(asset('build/red.css')) }}">
      {% else %}
        <link rel="stylesheet" href="{{ preload(asset('build/night.css')) }}">
      {% endif %}

      <link rel="stylesheet" href="{{ asset('fonts/css/raddit.css') }}">
    {% endblock %}

    {% block head %}{% endblock %}
  </head>

  <body class="{{ block('page_classes')|replace({'\n': ''}) }} {{ app.user ? 'user-logged-in' : 'user-anonymous' }}">
    {% include '@RadditApp/includes/site_nav.html.twig' %}

    <div class="site-alerts">
      {%- if app.request.hasPreviousSession -%}
        {%- for type, notices in app.session.flashBag.all -%}
          {%- for notice in notices -%}
            <p class="alert alert-{{ type }}" role="alert">{{ notice|trans }}</p>
          {%- endfor -%}
        {%- endfor -%}
      {%- endif -%}
    </div>

    <main class="content-wrapper">
      <div class="body">{% block body %}{% endblock %}</div>
      <aside class="sidebar">{% block sidebar %}{% endblock %}</aside>
    </main>

    <footer class="site-footer">
      <p class="site-footer-version">
        {{ 'site_footer.version'|trans({
          '%branch%': raddit_app_branch(),
          '%version%': raddit_app_version(),
          '%app%': '<a href="https://gitlab.com/edgyemma/raddit-app">raddit</a>',
        })|raw }}
      </p>
    </footer>

    {% block javascripts %}
      <script src="{{ preload(asset('bundles/fosjsrouting/js/router.js')) }}"></script>
      <script src="{{ path('fos_js_routing_js', {callback: 'fos.Router.setData'}) }}"></script>
      <script src="{{ preload(asset('build/manifest.js')) }}"></script>
      <script src="{{ preload(asset('build/vendor.js')) }}"></script>
      <script src="{{ preload(asset('build/main.js')) }}"></script>
      <script src="{{ path('bazinga_jstranslation_js') }}"></script>
    {% endblock %}
  </body>
</html>
